http://dataexchange.{region}.amazonaws.com/v1/data-setsThis operation lists your data sets. When listing by origin OWNED, results are sorted by CreatedAt in descending order. When listing by origin ENTITLED, there is no order and the maxResults parameter is ignored.
The maximum number of results returned by a single call.
The token value retrieved from a previous call to access the next page of results.
A property that defines the data set as OWNED by the account (for providers) or ENTITLED to the account (for subscribers).
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://dataexchange.{region}.amazonaws.com/v1/data-sets' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://dataexchange.{region}.amazonaws.com/v1/data-setsThis operation lists your data sets. When listing by origin OWNED, results are sorted by CreatedAt in descending order. When listing by origin ENTITLED, there is no order and the maxResults parameter is ignored.
The maximum number of results returned by a single call.
The token value retrieved from a previous call to access the next page of results.
A property that defines the data set as OWNED by the account (for providers) or ENTITLED to the account (for subscribers).
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://dataexchange.{region}.amazonaws.com/v1/data-sets' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}